JBoss API: Class FinderResults

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.util
Class FinderResults

    java.lang.Object
      |
      +--org.jboss.util.FinderResults

All Implemented Interfaces:
  java.util.Collection

public class FinderResults
extends java.lang.Object
implements java.util.Collection

A collection of keys carrying additional information about the query from which they came. this is used to optimize (or maybe un-deoptimize) multi-finders in the CMPPersistenceManager.

Author:
  danch

Constructor Summary
`FinderResults(java.util.Collection keys, java.lang.Object queryData, java.lang.Object finder, java.lang.Object[] args)` Constructor taking the collection of keys to hold and the query data.

Method Summary
`boolean` | `add(java.lang.Object o)`
`boolean` | `addAll(java.util.Collection otherCollection)`
`void` | `clear()`
`boolean` | `contains(java.lang.Object o)`
`boolean` | `containsAll(java.util.Collection otherCollection)`
`java.util.Collection` | `getAllKeys()`
`java.lang.Object` | `getFinder()`
`java.lang.Object[]` | `getQueryArgs()`
`java.lang.Object` | `getQueryData()`
`boolean` | `isEmpty()`
`java.util.Iterator` | `iterator()`
`boolean` | `remove(java.lang.Object o)`
`boolean` | `removeAll(java.util.Collection otherCollection)`
`boolean` | `retainAll(java.util.Collection otherCollection)`
`void` | `setKeys(java.util.Collection newKeys)`
`int` | `size()`
`java.lang.Object[]` | `toArray()`
`java.lang.Object[]` | `toArray(java.lang.Object[] array)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface java.util.Collection
`equals, hashCode`

Constructor Detail

### FinderResults

    public FinderResults(java.util.Collection keys,
                         java.lang.Object queryData,
                         java.lang.Object finder,
                         java.lang.Object[] args)

  Constructor taking the collection of keys to hold and the query data.

Method Detail

### getAllKeys

    public java.util.Collection getAllKeys()

### setKeys

    public void setKeys(java.util.Collection newKeys)

### getQueryData

    public java.lang.Object getQueryData()

### getFinder

    public java.lang.Object getFinder()

### getQueryArgs

    public java.lang.Object[] getQueryArgs()

### size

    public int size()

  Specified by:
    `size` in interface `java.util.Collection`

### isEmpty

    public boolean isEmpty()

  Specified by:
    `isEmpty` in interface `java.util.Collection`

### contains

    public boolean contains(java.lang.Object o)

  Specified by:
    `contains` in interface `java.util.Collection`

### iterator

    public java.util.Iterator iterator()

  Specified by:
    `iterator` in interface `java.util.Collection`

### toArray

    public java.lang.Object[] toArray()

  Specified by:
    `toArray` in interface `java.util.Collection`

### toArray

    public java.lang.Object[] toArray(java.lang.Object[] array)

  Specified by:
    `toArray` in interface `java.util.Collection`

### add

    public boolean add(java.lang.Object o)

  Specified by:
    `add` in interface `java.util.Collection`

### remove

    public boolean remove(java.lang.Object o)

  Specified by:
    `remove` in interface `java.util.Collection`

### containsAll

    public boolean containsAll(java.util.Collection otherCollection)

  Specified by:
    `containsAll` in interface `java.util.Collection`

### addAll

    public boolean addAll(java.util.Collection otherCollection)

  Specified by:
    `addAll` in interface `java.util.Collection`

### removeAll

    public boolean removeAll(java.util.Collection otherCollection)

  Specified by:
    `removeAll` in interface `java.util.Collection`

### retainAll

    public boolean retainAll(java.util.Collection otherCollection)

  Specified by:
    `retainAll` in interface `java.util.Collection`

### clear

    public void clear()

  Specified by:
    `clear` in interface `java.util.Collection`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000 The JBoss Organization. All Rights Reserved.